/*********************************************************************/
/* tclparse V2.00 from 14.March 1997                                 */
/* Copyright 1996/97 Stephan Weiss, Heiko Grossmann                  */
/*                   University of Stuttgart, Germany                */
/* For details see the copyright file included in the distribution.  */
/* This notice must not be removed from the file.                    */
/*                                                                   */
/*********************************************************************/

#ifndef _DISPLAY_H_
#define _DISPLAY_H_


class CDisplay
{
protected:

  enum statusType { procedure, variable, command, widget };

  char *barElement;
  char *lineElement;
  int separatorLength;
  char *separator;

public:

  CDisplay( void );
  ~CDisplay( void );

  void Procedure( char* );
  void ProcedureEnd( char* );
  void TclCommand( char* );
  void TkCommand( char* );
  void Variable( char* );
  void Widget( char* );

  void Disable( void );
  void Enable( void );
  void Error( char* );
  void Error( char*, char* );
  void Error( char*, char*, char* );
  void Error( char*, char*, char*, char* );
  void Error( char*, char*, char*, char*, char* );
  void ErrorProgramCode( void );
  void InternalError( char*, char* );
  void Message( char* );
  void Message( char*, char* );
  void Message( char*, char*, char* );
  void Message( char*, char*, char*, char* );
  void NewProcedure( char*, char* );
  void NewVariable( char* );
  void Title( char* );
  void Title( char*, char* );
  void Title( char*, char*, char* );
  void Title( char*, char*, char*, char* );
  void Title( char*, char*, char*, char*, char* );
  void UnknownOption( char*, char* );
  void UnknownVariable( char* );
  void Warning( char* );
  void Warning( char*, char* );
  void Warning( char*, char*, char* );
  void Warning( char*, char*, char*, char* );
  void Warning( char*, char*, char*, char*, char* );
};


extern CDisplay display;


#endif



